Subject: [Isis-wg] Secdir last call review of draft-ietf-isis-mi-bis-02

From: Joseph Salowey <[email-masked]>
Date: Mon, 10 Apr 2017 13:16:56 -0700

Reviewer: Joseph Salowey
Review result: Has Issues

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

The document does not explicitly discuss the use-cases for multi
instance IS-IS.  Is this intended to be used a security mechanism for
isolation?  The document should provide some guidance here.  

If the mechanism is intended as an isolation mechanism for security
then I think more guidance is appropriate.   For example, in this case
shouldn't each instance have its own authentication configuration?  

If it is not intended as a security mechanism then the document
probably say so.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 10 Apr 2017 21:28:52 +0000

Joseph -

Thanx for the review.

The introduction defines the purposes(sic) of the extensions . Please reread that and let me know if you still have concerns.

The extensions are not for security purposes - as a matter of principle I am concerned if a new requirement of every draft is to explicitly state all the things that it is not intended to do. :-)

   Les

> -----Original Message-----
> From: Joseph Salowey [mailto:[email-masked]]
> Sent: Monday, April 10, 2017 1:17 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Secdir last call review of draft-ietf-isis-mi-bis-02
> 
> Reviewer: Joseph Salowey
> I have reviewed this document as part of the security directorate's ongoing
> effort to review all IETF documents being processed by the IESG.  These
> comments were written primarily for the benefit of the security area
> directors.  Document editors and WG chairs should treat these comments
> just like any other last call comments.
> 
> The document does not explicitly discuss the use-cases for multi instance IS-
> IS.  Is this intended to be used a security mechanism for isolation?  The
> document should provide some guidance here.
> 
> If it is not intended as a security mechanism then the document probably say
> so.
>

---

From: Joseph Salowey <[email-masked]>
Date: Tue, 11 Apr 2017 22:22:48 -0700

I reread the introduction and it does mention isolating resources, but not
explicitly for security purposes.  I'm going to push back a bit on it being
a new requirement to discuss what is and is not intended.   We have had a
security considerations section in documents for a long time.   The draft
redirects security considerations to other documents which primarily talk
about authenticating messages.   The draft does include some discussion of
being able to select authentication parameters based on IID.  While this is
important, it doesn't really discuss why you would use this protection with
multi-instance IS-IS or what is different.

The document could include a statement that considerations to do with using
multi-instance IS-IS as a security isolation mechanism is outside the scope
of the document or, better yet, describe what the considerations unique to
multi-instance IS-IS are.   Since the primary uses do not have to do with
using this enhancement as a security mechanism I don't think it will cause
great harm to publish the document as is.

Cheers,

Joe

On Mon, Apr 10, 2017 at 2:28 PM, Les Ginsberg (ginsberg) <[email-masked]
> wrote:

> Joseph -
>
> Thanx for the review.
>
> The introduction defines the purposes(sic) of the extensions . Please
> reread that and let me know if you still have concerns.
>
> The extensions are not for security purposes - as a matter of principle I
> am concerned if a new requirement of every draft is to explicitly state all
> the things that it is not intended to do. :-)
>
>    Les
>
>
>
>
> ongoing
> instance IS-